:root {
  --text: #101010;
  --bg-black: #ece3e3;
  --bg-color: rgb(251, 255, 0);
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
::selection{
    background-color: rgb(210, 56, 159);
    color: var(--bg-black)
}
#grid::-webkit-scrollbar{
    display: none;
}

body{
    padding: 35px;
    display: flex;
    color: var(--text);
    font-size: 13px; 
    font-family: "loretta-variable",sans-serif;
    font-variation-settings: 'wght' 300;
}
#bg-img{
    height: 100dvh;
    width: 100vw;
    background: linear-gradient(180deg, var(--bg-black) 0%, var(--bg-color) 100%);
    background-repeat: no-repeat;
    position: fixed;
    top: 0;
    left: 0;
}
#gradient-top{
    background: linear-gradient(180deg, var(--bg-black) 0%, rgba(0, 0, 0, 0.00) 50.14%);
    z-index: 2;
    position: fixed;
    left: 0;
    top: 0;
    height: 300px;
    width: 100vw;
    pointer-events: none;
}

#name{
    position: fixed;
    top: 35px;
    left: 35px;
    z-index: 3;
}
#name:hover{
    cursor: default;
    opacity: 100%;
    filter: blur(0);
}
#menu{
    width: 20%;
    height: 80vh;
    z-index: 3;
    padding-right: 20px;
    position: fixed;
    top: 147.5px;
    left: 35px;
}
.menu-item{
    transition: all 0.2s ease-in-out;
}
.menu-item:hover, #contact-ops a:hover{
    /* filter: blur(10px); */
    cursor: pointer;
    opacity: 0.5;
    filter: blur(0.75px);
}
#menu em{
    text-decoration: underline;
    font-style: normal;
}
/* WIP BUTTON */
#wip{
    width: 80px;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    border: solid 0.5px var(--text);
    border-radius: 100%;
    animation-name: wip;
    animation-duration: 8s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    cursor: pointer;
    transition: all 0.3s ease;
}
#wip:hover{
    opacity: 0.5;
    filter: blur(0.75px);
}

@keyframes wip {
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
/* WIP BUTTON */

#resume-btn{
    margin-bottom: 14px;
}
#contact-ops{
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease-in-out;
    flex-direction: column;
    margin-bottom: 14px;
    display: flex;
}
#contact-ops.show{
    pointer-events: all;
    
    opacity: 1;
}
#contact-ops a{
    color: var(--text);
    transition: all 0.2s ease-in-out;
}

/* #divide-line{
    width: 0px;
    height: calc(100vh - 70px);
    border: 0.5px solid var(--text);
    z-index: 3;
    position: fixed;
    top: 35px;
    left: calc(55px + 15%); 
} */
#content{
    width: 85%;
    height: 120vh;
    z-index: 1;
    padding-left: 20px;
    margin-left: calc(30px + 15%);
    padding-right: none;
}

#grid{
    width: calc(90% - 110px);
    height: 100dvh;
    z-index: 1;
    left: calc(30px + 15dvw);
    padding-right: 0;
    position: fixed;
    top: 0;
    padding-top: 147.5px;
    left: calc(75px + 10%);
    display: flex;
    gap: 10px;
    overflow-y: scroll;
    
}

.grid-col{
    width: 100%;
    padding-bottom: 25px;
    height: fit-content;
}
.grid-item{
    width: 100%;
    margin-bottom: 10px;
    transition: border-radius 0.3s ease;
    overflow: hidden;
    cursor: pointer;
    position: relative;
    isolation: isolate;
}
.grid-item img{
    width: 100%;
    display: block;
}
.grid-item video{
    width: 100%;
    display: block;
}
.grid-item:hover{
    border-radius: 20px;
}
.grid-item::after {
    content: "";
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    position: absolute;
    inset: 0;
    background: linear-gradient(#000000, #000000c3);
    opacity: 0;
    transition: opacity 0.5s ease;
    z-index: 3;
    pointer-events: none;
}
.grid-item:hover::after{
    opacity: 1;
}
.grid-text{
    color: rgb(255, 255, 255);
    opacity: 0;
    pointer-events: none;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    z-index: 4;
    height: 100%;
    transition: all 0.5s ease;
    padding: 40px;
}
.grid-item:hover .grid-text{
    opacity: 1;
}

#above-grad{
    position: fixed;
    top: 35px;
    left: calc(75px + 10%);
    z-index: 3; 
}
#intro{
    width: 380px;
    margin-bottom: 35px;
}
#content-grid{
    margin-top: 175px;
    width: 100%;
    height: 80vh;
}
.content-item{
    display: flex;
    height: 500px;
    width: 100%;
    margin-bottom: 20px;
}
.content-img{
    background-color:#434343;
    width: 75%;
    height: 100%;
    border-radius: 7px;
}
.content-text{
    padding-left: 20px;
}

#resume{
    width: calc(90dvw - 65px);
    left: calc(65px + 10%);
    height: 100dvh;
    background-color: var(--bg-black);
    position: fixed;
    top: 0;
    z-index: 100;
    opacity: 0;
    transition: all 0.3s ease-in-out;
    padding: 35px;
    pointer-events: none;
}
#resume a {
    all:unset;
    transition: all 0.2s ease-in-out;
}
#resume a:hover{
   cursor: pointer;
    opacity: 0.5;
    filter: blur(0.75px); 
}
#resume.show{
    display: block;
    opacity: 1;
    pointer-events: all;
}
#resume p{
    margin-bottom: 20px;
}
#resume-box{
    display: flex;
    gap: 35px;
    width: 60%;
    height: 50vh;
    margin-top: 70px;
}
.resume-box-section{
    width: 100%;
    height: 50vh;
}
em{
    font-style: italic;
}
i{
    font-style: normal;
    color: rgb(143, 143, 143); 
}
#about{
    width: 35%;
}
#about a{
    text-decoration: underline;
}

#signature{
    color: var(--text);
    position: fixed;
    top: 35px;
    right: 35px;
    z-index: 0;
}